INKSCAPE(1)

NOME
Inkscape - um programa editor de SVG (Gráficos Vetoriais Escaláveis).

SINOPSE
"inkscape [opções] [filename_1 filename_2 ...]"

opções:

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGE[,PAGE]
        --pdf-poppler
        --convert-dpi-method=METHOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=NOME_DO_ARQUIVO
--export-overwrite
--export-type=TIPO[,TIPO]*
--export-extension=ID_DA_EXTENSÃO

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=WIDTH
    -h, --export-height=HEIGHT
        --export-margin=MARGIN

        --export-page=all|n[,a-b]
-i, --export-id=OBJECT-ID[;OBJECT-ID]*
-j, --export-id-only
-l, --export-plain-svg
--export-png-color-mode=COLORMODE
--export-png-compression=LEVEL
--export-png-antialias=LEVEL
--export-png-use-dithering=BOOLEAN
--export-ps-level=LEVEL
--export-pdf-version=VERSION
-T, --export-text-to-path
--export-latex
--export-ignore-filters
-t, --export-use-hints
-b, --export-background=COLOR
-y, --export-background-opacity=VALUE

    -I, --query-id=OBJECT-ID[,OBJECT-ID]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
--select=OBJECT-ID[,OBJECT-ID]*
--actions=ACTION(:ARG)[;ACTION(:ARG)]*
--action-list
--actions-file=FILENAME

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=TAG
        --batch-process
        --shell

DESCRIÇÃO
O Inkscape é um editor de gráficos vetoriais gratuito e de código aberto. Oferece um conjunto abrangente de recursos e é amplamente utilizado para ilustrações artísticas e técnicas, como desenhos animados, clip art, logotipos, tipografia, diagramação e fluxogramas. Ele utiliza gráficos vetoriais para permitir impressões e renderizações nítidas em resolução ilimitada, não estando limitado a um número fixo de pixels como os gráficos raster. O Inkscape utiliza o formato de arquivo SVG padronizado como seu formato principal, que é compatível com muitos outros aplicativos, incluindo navegadores da web.

A interface foi projetada para ser confortável e eficiente para usuários experientes, mantendo-se em conformidade com os padrões GNOME, para que usuários familiarizados com outros aplicativos GNOME possam aprender sua interface rapidamente.

SVG é um padrão XML da W3C de formato de desenho vetorial para 2D. Permite definir objetos em um desenho usando pontos, caminhos, e formas primitivas. Cores, fontes, comprimento de contorno, e assim por diante são atributos de `estilo’ destes objetos. O intento é que como o SVG é um padrão, e como seus arquivos são texto/xml, seja possível usar arquivos SVG em um diferente número de programas e para uma grande gama de usos.

Inkscape usa o SVG como formato nativo do documento, e tem o objetivo de se tornar o programa de desenho mais compatível com arquivos SVG disponível na comunidade Open Source.

OPÇÕES

-?, --help
    Mostra uma mensagem de ajuda.

--help-all
    Exibir opções de ajuda.

--help-gapplication
    Exibe as opções do GApplication.

--help-gtk
    Exibir as opções do GTK+.

-V, --version
    Mostra a versão do Inkscape e a data do Build.

--debug-info
    Exibe informações técnicas, incluindo a versão do Inkscape, as versões das dependências e o sistema operacional. Essas informações são úteis para depurar problemas com o Inkscape e devem ser incluídas sempre que um relatório de erro for enviado.

--system-data-directory
    Imprime o diretório de dados do sistema onde os arquivos de dados fornecidos com o Inkscape são armazenados. Isso inclui arquivos necessários para a execução do Inkscape (como definições de unidades, mapeamentos de teclas integrados, arquivos que descrevem o layout da interface do usuário, temas de ícones etc.), extensões principais, recursos padrão (filtros, fontes, marcadores, paletas de cores, símbolos, modelos) e documentação (arquivos de exemplo SVG, tutoriais).

    O local onde o Inkscape espera encontrar o diretório de dados do sistema pode ser alterado com a variável de ambiente INKSCAPE_DATADIR.

--user-data-directory
    Exibe o diretório do perfil do usuário, onde são armazenados os arquivos de dados e preferências específicos do usuário. Extensões e recursos personalizados (filtros, fontes, marcadores, paletas de cores, símbolos, modelos) devem ser instalados em seus respectivos subdiretórios neste diretório. Além disso, colocar um arquivo com o mesmo nome de um arquivo no diretório de dados do sistema permite sobrescrever a maioria das configurações predefinidas do diretório de dados do sistema (por exemplo, modelos padrão, arquivos de interface do usuário etc.).

    O local padrão do diretório de perfil pode ser alterado com a variável de ambiente INKSCAPE_PROFILE_DIR.

-p, --pipe
    Lê o arquivo de entrada da entrada padrão (stdin).

--pages=PAGE
    Importar a lista de páginas separadas por vírgulas fornecida, proveniente de um arquivo PDF ou de um arquivo SVG com várias páginas.

    Isso substitui o --pdf-page das versões anteriores do Inkscape.

--pdf-poppler
    Por padrão, o Inkscape importa arquivos PDF por meio de uma biblioteca interna (derivada de poppler). O texto é armazenado como texto. As malhas são convertidas em ladrilhos. Use --pdf-poppler para importar através de uma biblioteca externa (poppler com cairo back-end). O texto consiste em grupos contendo glifos clonados em que cada glifo é um caminho. As imagens são armazenadas internamente. As malhas fazem com que todo o documento seja renderizado como uma imagem rasterizada.

--convert-dpi-method=METHOD
    Escolha o método usado para reescalar arquivos legados (antes da versão 0.92) que renderizam ligeiramente menor devido ao fato da mudança entre 90 DPI para 96 DPI quando interpretando comprimentos expressos em unidades de pixels. Valores possíveis são "none" (sem mudança, o documento vai renderizar a 94% do seu tamanho original), "scale-viewbox" (documento vai ser redimensionado globalmente, comprimentos individuais ficarão intocados) e "scale-document" (cada comprimento vai se redimensionado individualmente).

--no-convert-text-baseline-spacing
    Não conserte automaticamente a baseline em arquivos legados (antes da versão 0.92) ao abrir. Inkscape 0.92 adota a definição padrão CSS para a propriedade 'line-height', que difere de versões anteriores. Por padrão, os valores de altura de linha em arquivos criados em versões anteriores à 0.92 serão ajustados no carregamento para preserver o layout de texto. Esta opção de linha de comando vai pular este ajuste.

-o, --export-filename=FILENAME
    Define o nome do arquivo de saída. O padrão é reutilizar o nome do arquivo de entrada. Se --export-type também for usado, a extensão do arquivo será ajustada (ou adicionada) conforme necessário. Caso contrário, o tipo de arquivo a ser exportado será inferido a partir da extensão do nome do arquivo especificado.

    O uso do nome de arquivo especial "-" faz com que o Inkscape grave os dados da imagem na saída padrão (stdout).

--export-overwrite
    Sobrescreve o arquivo de entrada.

--export-type=TYPE[,TYPE]*
    Especifique o tipo de arquivo a ser exportado. Valores possíveis: svg, png, ps, eps, pdf, emf, wmf e todos os tipos de arquivo para os quais exista uma extensão de exportação. É possível exportar mais de um tipo de arquivo por vez.

    Observe que o PostScript não suporta transparência, portanto, quaisquer objetos transparentes no SVG original serão rasterizados automaticamente. As fontes utilizadas são subconjuntos e incorporadas. A área de exportação padrão é a página; você pode configurá-la para desenho com --export-area-drawing.

    Note que o formato PDF preserva a transparência do SVG original.

--export-extension=EXTENSION-ID
    Permite especificar uma extensão de saída que será usada para exportação, o que é especialmente relevante se houver mais de uma opção de exportação para um determinado tipo de arquivo. Se definido, a extensão do arquivo em `--export-filename` e `--export-type` pode ser omitida. Além disso, se definido, apenas um tipo de arquivo pode ser especificado em `--export-type`.

-C, --export-area-page
    Em exportação SVG, PNG, PDF, PS, e EPS, a área exportada é a página. Este é o padrão para SVG, PNG, PDF e PS, assim você não precisa especificar a menos que esteja usando o --export-id para exportar um objeto específico. Entretanto com o EPS, isto não é o padrão; ainda mais, para o EPS, a especificação do formato não permite que você tenha uma caixa delimitadora para estender além de seu conteúdo. Isto quer dizer que --export-area-page é usada com a exportação EPS, a caixa delimitadora da página será cortada para dentro da caixa delimitadora do conteúdo se for menor.

-D, --export-area-drawing
    Na exportação em SVG, PNG, PDF, PS e EPS, a área exportada no desenho (não a página), i.e. a caixa delimitadora de todos os objetos do documento (ou do objeto exportado se --export-id for usado). Com esta opção, a imagem exportada vai mostrar todos os objetos visíveis do documento sem margens ou cortes. Esta é a área padrão de exportação para EPS. Para PNG, isso pode ser usado em combinação com --export-use-hints.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Na exportação PNG, defina a área exportada do documento, especificada em px (1/96 pol.). O padrão é exportar a página inteira do documento. O ponto (0,0) é o canto inferior esquerdo.

--export-area-snap
    Para exportação em PNG, ajuste a área de exportação para fora, para os valores inteiros em pixels mais próximos. Se você estiver usando a resolução de exportação padrão de 96 dpi e seus gráficos estiverem alinhados em pixels para minimizar o anti-serrilhado, esta opção permite preservar esse alinhamento mesmo se você estiver exportando a caixa delimitadora de algum objeto (com --export-id ou --export-area-drawing) que não esteja alinhada em pixels.

-d DPI, --export-dpi=DPI
    A resolução usada para exportar PNG. É também usada para rasterização de compatibilidade de objetos filtrados quando exportando para PS, EPS, ou PDF (a menos que você especifique --export-ignore-filters para suprimir a rasterização). O padrão é 96 dpi, o que corresponde a uma unidade de usuário SVG (px, também chamado de "unidade do usuário") exportando 1 pixel bitmap. Este valor sobrescreve o DPI hint se usado com --export-use-hints.

-w WIDTH, --export-width=WIDTH
    O comprimento de bitmap gerado é em pixels. Este valor é sobrescrito pela configuração --export-dpi (ou pela DPI hino se usada com --export-use-hints).

-h HEIGHT, --export-height=HEIGHT
    A altura do bitmap gerado em pixzels. O valor sobrescreve a configuração --export-dpi (ou o DPI hint se usado com --export-use-hints).

--export-margin=MARGIN
    Adiciona uma margem ao redor da área exportada. O tamanho da margem é especificado em unidades de tamanho de página (para SVG) ou milímetros (para PS/PDF). Esta opção não tem efeito em outros formatos de exportação.

-i ID, --export-page=all|n[,a-b]*
    Exporta apenas as páginas selecionadas. Se mais de uma página for especificada, o documento resultante poderá conter várias páginas, caso o formato o suporte.

    O valor pode ser uma lista de números de página separados por vírgulas ou intervalos de páginas com dois números separados por um hífen. A palavra-chave 'tudo' pode ser usada para indicar que todas as páginas serão exportadas.

-i ID, --export-id=OBJECT-ID[;OBJECT-ID]*
    Para exportação em PNG, PS, EPS, PDF e SVG simples, o valor do atributo id corresponde ao(s) objeto(s) que você deseja exportar do documento; todos os outros objetos não são exportados. Por padrão, a área exportada é a caixa delimitadora do objeto; você pode alterar isso usando --export-area (somente PNG) ou --export-area-page.

    Se você especificar vários valores com uma lista de objetos separados por ponto e vírgula, cada um será exportado separadamente. Nesse caso, os arquivos exportados serão nomeados da seguinte forma: [input_filename]_[ID].[export_type]

-j, --export-id-only
    Para exportação em PNG, PS, EPS, PDF e SVG simples, exporte apenas o objeto cujo ID é fornecido em --export-id. Todos os outros objetos ficam ocultos e não serão exibidos na exportação, mesmo que se sobreponham ao objeto exportado. Sem --export-id, esta opção é ignorada.

-l, --export-plain-svg
    Exporte o(s) documento(s) para o formato SVG simples, sem os namespaces sodipodi: ou inkscape: e sem metadados RDF. Use a opção --export-filename para especificar o nome do arquivo.

--export-png-color-mode=COLORMODE
    Defina o modo de cor (profundidade de bits e tipo de cor) para bitmaps exportados (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=LEVEL
    Defina o nível de compressão para exportação em PNG (de 0 a 9); o padrão é 6.

--export-png-antialias=NÍVEL
    Defina o nível de suavização (anti-serrilhado) para exportação em PNG (de 0 a 3); o padrão é 2.

--export-png-use-dithering=false|true
    Força ou desativa o dithering (a versão do Inkscape deve suportar dithering para isso).

--export-ps-level=LEVEL
    Defina a versão do idioma para exportação em PS e EPS. Os níveis PostScript 2 e 3 são suportados. O padrão é 3.

--export-pdf-version=VERSION
    Selecione a versão do PDF do arquivo PDF exportado. Esta opção basicamente expõe o seletor de versão do PDF encontrado na caixa de diálogos de exportação do PDF na IGU. Você deve fornecer uma das versões do menu flutuante, e.g. “1.4”. A versão padrão de exportação de PDF é “1.4”.

-T, --export-text-to-path
    Converta objetos de texto para caminhos na exportação, quando aplicável (para exportação de PS, EPS, PDF e SVG).

--export-latex
    (Para exportação em PS, EPS e PDF) Usado para criar imagens para documentos LaTeX, onde o texto da imagem é formatado pelo LaTeX. Ao exportar para o formato PDF/PS/EPS, esta opção divide a saída em um arquivo PDF/PS/EPS (por exemplo, conforme especificado por --export-type) e um arquivo LaTeX. O texto não será incluído no arquivo PDF/PS/EPS, mas sim no arquivo LaTeX. Este arquivo LaTeX inclui o PDF/PS/EPS. Inserir (\input{image.tex}) o arquivo LaTeX em seu documento LaTeX exibirá a imagem e todo o texto será formatado pelo LaTeX. Consulte o arquivo LaTeX resultante para obter mais informações. Veja também o terminal de saída `epslatex` do GNUPlot.

--export-ignore-filters
    Objetos filtrados exportados (e.g. aqueles com borrão) como vetores, ignoram os filtros (para PS, EPS, e exportação PDF). Por padrão, todos os objetos filtrados são rasterizados em --export-dpi (padrão 96 dpi), preservando a aparência.

-t, --export-use-hints
    Ao exportar para PNG, utilize as dicas de nome de arquivo e DPI armazenadas no objeto exportado (somente com --export-id). Essas dicas são definidas automaticamente ao exportar uma seleção no Inkscape. Por exemplo, se você exportar uma forma com id="path231" como /home/me/forma.png a 300 dpi a partir de document.svg usando a interface gráfica do Inkscape e salvar o documento, posteriormente você poderá reexportar essa forma para o mesmo arquivo com a mesma resolução simplesmente com

        inkscape -i path231 -t documento.svg

    Se você usar --export-dpi, --export-width ou --export-height com esta opção, a dica de DPI será ignorada e o valor da linha de comando será usado. Se você usar --export-filename com esta opção, a dica de nome de arquivo será ignorada e o nome de arquivo da linha de comando será usado.

-b COLOR, --export-background=COLOR
    Cor de fundo do PNG exportado. Pode ser qualquer string de cor compatível com SVG, por exemplo "#ff007f" ou "rgb(255, 0, 128)". Se não for definida, será usada a cor da página configurada no Inkscape na caixa de diálogo Propriedades do Documento (armazenada no atributo pagecolor= de sodipodi:namedview).

-y VALUE, --export-background-opacity=VALUE
    Opacidade do fundo do PNG exportado. Este valor pode estar entre 0,0 e 1,0 (0,0 significa transparência total, 1,0 significa opacidade total) ou ser maior que 1 até 255 (255 significa opacidade total). Se não for definido e a opção -b não for usada, será utilizada a opacidade da página definida no Inkscape na caixa de diálogo Propriedades do Documento (armazenada no atributo inkscape:pageopacity= de sodipodi:namedview). Se não for definido, mas a opção -b for usada, o valor 255 (opacidade total) será utilizado.

-I, --query-id=OBJECT-ID[,OBJECT-ID]*
    Defina as ID(s) do(s) objeto(s) cujas dimensões são consultadas em uma lista separada por vírgulas. Se não definido, opções de consulta voltarão com as dimensões do desenho (i.e. todos os objetos do document), não a página ou a caixa de visualização.

    Se você especificar vários valores com uma lista de objetos separados por vírgula, qualquer consulta de geometria (por exemplo, --query-x) retornará uma lista de valores separados por vírgula correspondentes à lista de objetos em --query-id.

-S, --query-all
    Imprime uma listagem separada por vírgula de todos os objetos no documento SVG com IDs definidas, junto com seus valores de x, y, comprimento e altura.

-X, --query-x
    Consulta da coordenada X do desenho ou, se especificado, do objeto com --query-id. O valor retornado é em px (unidades de usuário do SVG).

-Y, --query-y
    Consulta da coordenada Y do desenho ou, se especificado, do objeto com --query-id. O valor retornado é em px (unidades de usuário do SVG).

-W, --query-width
    Consulte o comprimento do desenho ou, se especificado, o do objeto com --query-id. Os valores retornados são em pixels (unidades de usuário do SVG).

-H, --query-height
    Consulte a altura do desenho ou, se especificado, do objeto com --query-id. O valor retornado é em px (unidades de usuário SVG).

--vacuum-defs
    Remova todos os items não usados da seção "<defs>" do arquivo SVG. Se esta opção é invocada em conjunção com o --export-plain-svg, apenas o arquivo exportado será afetado. Se usado sozinho, o arquivo especificado será modificado no lugar.

--select=OBJECT-ID[,OBJECT-ID]*
    O comando --selecionar selecionará os objetos que possuem o ID especificado. Você pode selecionar vários objetos com uma lista separada por vírgulas. Isso permite que vários verbos atuem sobre eles. Para remover todas as seleções, use "--verbo=EditarDeselecionar". Os IDs de objeto disponíveis dependem do documento especificado para carregar.

--actions=ACTION(:ARG)[;ACTION(:ARG)]*
    Ações são um novo método para chamar funções com um único parâmetro opcional. Para obter uma lista dos IDs de ação disponíveis, use a opção de linha de comando --action-list. Eventualmente, todos os verbos serão substituídos por ações. Temporariamente, qualquer verbo pode ser usado como uma ação (sem parâmetro). Observe que a maioria dos verbos requer uma interface gráfica (mesmo que não a utilizem). Para fechar a interface gráfica automaticamente ao final do processamento, use --batch-process. Além disso, todas as opções de exportação possuem ações correspondentes (remova o '--' antes da opção e substitua '=' por ':').

    Se apenas ações forem usadas, --batch-process deve ser usado.

    A exportação pode ser forçada a qualquer momento com a ação export-do. Isso permite realizar múltiplas exportações em um único arquivo.

--action-list
    Imprime uma lista de ações disponíveis.

--actions-file=FILENAME
    Executa todas as ações listadas no arquivo. O conteúdo do arquivo deve ser formatado usando a sintaxe --actions. Esta opção substitui o argumento --actions quando ambos forem fornecidos.

-g, --with-gui
    Tente usar a IGU (no Unix, use o servidor X mesmo se o $DISPLAY não estiver definido).

-q, --active-window
    Em vez de iniciar um novo processo do Inkscape, isso executará o comando no documento do Inkscape em foco mais recentemente.

--display=DISPLAY
    Definir o modo de exibição X a ser usado para a janela do Inkscape.

--app-id-tag=TAG
    Cria uma instância única do Inkscape com o ID de aplicativo 'org.inkscape.Inkscape.TAG'. Isso é útil para separar as instâncias do Inkscape ao executar diferentes versões do Inkscape ou usar diferentes arquivos de preferências simultaneamente.

--batch-process
    Fechar a Interface Gráfica após executar todas as ações ou verbos.

--shell
    Com esse parâmetro, o Inkscape entrará em um modo de linha de comando interativo. Nesse modo, você digita os comandos no prompt e o Inkscape os executa, sem que você precise abrir uma nova instância do Inkscape para cada comando. Esse recurso é especialmente útil para scripts e uso em servidores: ele não adiciona novas funcionalidades, mas permite melhorar a velocidade e os requisitos de memória de qualquer script que chame o Inkscape repetidamente para executar tarefas na linha de comando (como exportação ou conversões).

    No modo shell, o Inkscape espera uma sequência de ações (ou verbos) como entrada. Elas serão processadas linha por linha, o que geralmente significa ao pressionar Enter. É possível (mas não necessário) colocar todas as ações em uma única linha.

    Essa opção pode ser combinada com o parâmetro --active-window, para executar os comandos do shell em um documento do Inkscape já aberto.

    O exemplo a seguir abre um arquivo e o exporta em dois formatos diferentes e, em seguida, abre outro arquivo e exporta um único objeto:

        file-open:arquivo1.svg; export-type:pdf; export-do; export-type:png; export-do
    file-open:arquivo2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do

CONFIGURAÇÃO
O arquivo principal de configuração está localizado em ~/.config/inkscape/preferences.xml; ele armazena uma variedade de configurações customizadas que você pode mudar no Inkscape (a maioria na caixa de diálogo Preferências). Também nos subdiretórios, você pode colocar os suas próprias configurações:

$HOME/.config/inkscape/extensions/ - extensions.

$HOME/.config/inkscape/fonts/ - fonts.

$HOME/.config/inkscape/icons/ - icon sets.

$HOME/.config/inkscape/keys/ - mapeamento de teclas.

$HOME/.config/inkscape/paint/ - patterns and hatches.

$HOME/.config/inkscape/palettes/ - paletas.

$HOME/.config/inkscape/symbols/ - symbol files.

$HOME/.config/inkscape/templates/ - modelos de novos arquivos.

$HOME/.config/inkscape/ui/ - user interface files.

DIAGNÓSTICO
O programa devolve zero em caso de sucesso ou não-zero em caso de falha.

Uma variedade de mensagens de erros e avisos podem ser impressos ao STDERR ou STDOUT. Se o programa se comportar de forma errática com um arquivo SVG em particular ou se o programa travar, é útil olhar para a sua saída para mais pistas.

EXEMPLOS
Enquanto obviamente Inkscape é a primariamente uma aplicação de IGU, ela também pode ser usada para processar arquivos SVG pela linha de comando.

Abrir um arquivo SVG pela IGU:

    inkscape filename.svg

Exporte um arquivo SVG em PNG com a resolução padrão de 96 dpi (uma unidade de usuário SVG traduz em um pixel de bitmap):

    inkscape --export-filename=nomedoarquivo.png nomedoarquivo.svg

O mesmo, mas força o arquivo PNG a ter 600x400 pixels:

    inkscape --export-filename=nome_do_arquivo.png -w 600 -h 400 nome_do_arquivo.svg

O mesmo, mas exporta o desenho (caixa delimitadora para todos os objetos), não para a página:

    inkscape --export-filename=nome_do_arquivo.png --export-area-drawing nome_do_arquivo.svg

Exporte dois arquivos diferentes em quatro formatos de arquivo distintos cada:

    inkscape --export-type=png,ps,eps,pdf arquivo1.svg arquivo2.svg

Exportar para PNG o objeto com o id="text1555", usando o nome do arquivo como saída e a resolução usada para aquele objeto pela última vez quando foi exportado pela IGU:

    inkscape --export-id=text1555 --export-use-hints nome_do_arquivo.svg

O mesmo, mas use a resolução padrão 96 dpi, especifique o nome do arquivo e ajuste a área exportada para fora, para os valores da unidade de usuário SVG inteira mais próximos (para preservar o alinhamento de pixels dos objetos e, assim, minimizar o aliasing):

    inkscape --export-id=text1555 --export-filename=text.png --export-area-snap nome_do_arquivo.svg

Converter um documento SVG do Inkscape para um SVG puro:

    inkscape --export-plain-svg --export-filename=nome_do_arquivio2.svg nome_do_arquivio1.svg

Converta u documento SVG para EPS, convertendo todos os textos em caminhos:

    inkscape --export-filename=nome_do_arquivo.eps --export-text-to-path nome_do_arquivo.svg

Consulte a largura do objeto com id = “text1555”:

    inkscape --query-width --query-id=text1555 nome_do_arquivo.svg

Duplique os objetos com id="path1555" e id="rect835", gire os duplicados 90 graus, salve o SVG e saia:

    inkscape --select=path1555,rect835 --actions="duplicate;object-rotate-90-cw" --export-overwrite nome_do_arquivo.svg

Selecione todos os objetos com a etiqueta "elipse", gire-os 30 graus, salve o arquivo e saia.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite nome_do_arquivo.svg

Exporte o objeto com o ID MeuTriangulo com um fundo roxo semitransparente para o arquivo triangulo_roxo.png e com um fundo vermelho para o arquivo triangulo_vermelho.png.

    inkscape --actions="export-id:MeuTriangulo; export-id-only; export-background:roxo; export-background-opacity:0.5;export-filename:triangule_roxo.png; export-do; export-background:vermelho; export-background-opacity:1; export-filename:triangulo_vermelho.png; export-do" nomedoarquivo.svg

Leia um SVG da entrada padrão (stdin) e exporte-o para o formato PDF:

    cat nome_do_arquivo.svg | inkscape --pipe --export-filename=nome_do_arquivo.pdf

Exporte um SVG para o formato PNG e escreva-o na saída padrão (stdout), em seguida, converta-o para o formato JPG com o programa convert do ImageMagick:

    inkscape --export-type=png --export-filename=- nome_do_arquivo.svg | convert - nome_do_arquivo.jpg

Semelhante ao anterior, mas também lendo de um pipe (o parâmetro --export-filename pode ser omitido neste caso)

    cat nome_do_arquivo.svg | inkscape --pipe --export-type=png | convert - nome_do_arquivo.jpg

VARIÁVEIS DE AMBIENTE

INKSCAPE_PROFILE_DIR
    Defina um local padrão para o perfil do usuário.

INKSCAPE_DATADIR
    Define um local customizado para o diretório de dados do Inkscape (e.g. $PREFIX/share se os arquivos compartilhados estão em $PREFIX/share/inkscape).

INKSCAPE_LOCALEDIR
    Defina um local customizado para a tradução do catálogo.

Para mais detalhes veja também <http://wiki.inkscape.org/wiki/index.php/Environment_variables>

OUTRAS INFORMAÇÕES
O local oficinal para encontrar informações sobre o Inkscape é em <https://www.inkscape.org/>. O site possui notícias, documentação, tutoriais, exemplos, arquivos de listas de discussão, a última versão lançada do programa, banco de dados de bugs e pedidos de novos recursos, fórum e muito mais,.

VEJA TAMBÉM
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Suíte de testes em conformidade com o SVG: <https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

Validador SVG: <https://validator.w3.org/>

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 16 August 2011 <https://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 April 2005 <https://www.w3.org/TR/SVG12/>

Scalable Vector Graphics (SVG) 2 Specification W3C Candidate Recommendation 15 September 2016 <https://www.w3.org/TR/SVG2/>

Document Object Model (DOM): Level 2 Core W3C Recommendation 13 November 2000 <https://www.w3.org/TR/DOM-Level-2-Core/>

NOTAS DA INTERFACE DO USUÁRIO
Para aprender a operação da IGU do Inkscape, leia o manual em Ajuda > Manual do Inkscape, e os tutoriais em Ajuda > Tutoriais.

Além de SVG, Inkscape também pode importar (Arquivo > Importar) a maioria de formatos bitmap (PNG, BMP, JPG, XPM, GIF, etc.), texto puro (requer Perl), PS e EPS (requer Ghostscript), PDF e formato AI (versão 9.0 ou mais recente).

Inkscape exporta imagens PNG de 32-bits (Arquivo > Exportar imagem PNG) assim como também AI, PS, EPS, PDF, DXG e tantos outros formatos via Arquivo > Salvar como.

Inkscape pode usar a pressão e a inclinação da caneta da mesa digitalizadora para largura, ângulo, e força de ação com várias ferramentas, incluindo a caneta Caligráfica.

Inkscape inclui uma IGU front-end para o motor de converter bitmaps Potrace (<http://potrace.sf.net>) que está embutido no Inkscape.

Inkscape pode usar scripts externos (filtros stdin-para-stdout) que são representados por comandos no menu Extensões. Um script pode ter uma caixa de diálogo de IGU para definir vários parâmetros e poder obter as IDs dos objetos selecionados dos quais poderão ser acionados via linha de comando. Inscape vem com uma grande variedade de efeitos escritos em Python.

MAPEAMENTO DE TECLAS
Para obter uma lista completa de atalhos de teclado e de mouse, veja doc/keys.html, ou use o comando Teclas e Mouse no menu Ajuda.

BUGS
Muitos bugs são conhecidos; por favor visite o website (<https://www.inkscape.org/>) para revisar os bugs reportados e reportar novos bugs. Veja também Problemas Conhecidos nas Notas de Lançamento da sua versão (arquivo `NOVIDADES').

HISTÓRIA
A base de código que se tornaria o Inkscape começou a vida em 1999 como o programa Gill, o aplicativo Ilustrador GNOME, criado por Raph Levien. O objetivo declarado por Gill era eventualmente apoiar todo o SVG. Raph implementou o modelo de imagem PostScript bezier, incluindo traçados e preenchimentos, estilo de limite de linha, estilo de junção de linha, texto etc. A página Gill de Raph está em <http://www.levien.com/svg/>. O trabalho em Gill parece ter diminuído ou cessado em 2000.

A próxima encarnação da base de código foi se tornar o programa altamente popular Sodipodi, liderado por Lauris Kaplinski. A base de código foi transformada em um poderoso programa de ilustração ao longo do trabalho de vários anos, adicionando vários novos recursos, suporte multilíngue, portabilidade para Windows e outros sistemas operacionais e eliminando dependências.

Inkscape foi formado em 2003 por quatro desenvolvedores ativos do Sodipodi, Bryce Harrington, MenTalguY, Nathan Hurst, e Ted Gould, querendo tomar uma direção diferente com o código base em termos de foco de aderência ao SVG, interface, aparência, e o desejo de optar por um desenvolvimento aberto para mais participantes. O projeto progrediu rapidamente, ganhando um número de contribuidores muito ativos e de recursos.

Muito trabalho nos primeiros dias do projeto focou na estabilização de código e internacionalização. O renderizador original herdado do Sodipodi recebeu uma série de casos de canto matemático que levaram a falhas inesperadas quando o programa foi levado além dos usos rotineiros; esse renderizador foi substituído pelo Livarot que, embora também não fosse perfeito, era significativamente menos propenso a erros. O projeto também adotou uma prática de submeter código com frequência e incentivar os usuários a executar snapshots de desenvolvimento do programa; isso ajudou a identificar novos bugs rapidamente e garantir que os usuários verificassem as correções com facilidade. Como resultado, as versões do Inkscape geralmente ganham reputação por serem robustas e confiáveis.

Similarmente, esforços foram feitos para internacionalizar e localizer a interface, que ajudou o programa a ganhar contribuidores pelo mundo.

Inkscape tem tido um impacto benéfico no visual atrativo de Código Aberto em geral, ao fornecer uma ferramenta para criar e compartilhar ícones, telas de abertua, arte de website, e por aí em diante. De uma forma, apesar de ser "apenas um programa de desenho", o Inkscape tem jogado um papel importante em fazer programas de Código Aberto visualmente atraentes para grandes audiências.

AUTORES
A base deste código deve a sua existência a um grande número de contribuidores ao longo de suas várias encarnações. A lista a seguir é certamente incompleta, mas serve para reconhecer muitas das cabeças que devem a sua existência:

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

COPYRIGHT E LICENÇA
Copyright (C) 1999-2023 por Autores.

O Inkscape é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL versão 2 ou posterior.